Cannot install vlc in Hardy

Bug #173391 reported by Daniel Robitaille on 2007-12-02
26
Affects Status Importance Assigned to Milestone
vlc (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: vlc

I cannot install vlc in an up-to-date Hardy installation due to a dependency on an unavailable libcdio6 (now replaced by libcdio7):

=====
$ sudo apt-get install vlc
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help resolve the situation:

The following packages have unmet dependencies:
  vlc: Depends: vlc-nox (= 0.8.6.release.c-0ubuntu5) but it is not going to be installed
       Depends: libcdio6 but it is not installable
       Depends: libiso9660-4 but it is not going to be installed
       Depends: libvcdinfo0 (> 0.7.23) but it is not going to be installed
E: Broken packages
===============

Related branches

You can download the libcdio6 Gutsy Package from here: http://packages.ubuntu.com/gutsy/libs/libcdio6
Install it and you can install the VLC. I hope a developer fixes the depencies error soon.

Loïc Minier (lool) wrote :

This simply requires a rebuild of vlc, but this requires libcaca's FTBFS to be fixed.

Matti Lindell (mlind) wrote :

new vlc was uploaded for Hardy by superm1. Jack plugin was missing from vlc-nox.install and the build failed though.
Are strict depends required for libcaca and libvcdinfo as it makes backporting non-trivial for Gutsy users?

Changed in vlc:
importance: Undecided → Medium
status: New → Triaged
Matti Lindell (mlind) wrote :

Mario, could you re-upload the package with jack plugin included in vlc-nox.install ?
Thanks.

Mario Limonciello (superm1) wrote :

Sure. Sorry for the small mishap. My local pbuilder had "built" right, so this was surprising to see it fail on sbuild.

The strict depends were to prevent a FTBFS on hardy. It probably can be removed now, but i'll double check in an updated pbuilder.

Mario Limonciello (superm1) wrote :

vlc (0.8.6.release.d-0ubuntu2) hardy; urgency=low

  [ Matt Lindell ]
  * Add jack plugin to vlc-nox package. (LP: #173391)

  [ Mario Limonciello ]
  * Loosen dependencies on libcaca and libvcdinfo.

 -- Mario Limonciello <email address hidden> Wed, 05 Dec 2007 01:05:24 -0600

Changed in vlc:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions